Description:

Transform an array of Brep components, bend neighbors to match, and leave the rest fixed.

Syntax:
public bool TransformComponent(
IEnumerable<ComponentIndex> components,
Transform xform,
double tolerance,
double timeLimit,
bool useMultipleThreads
)
Parameters:
  • components
  • Type: IEnumerable<ComponentIndex>
  • The Brep components to transform.
  • xform
  • Type: Transform
  • The transformation to apply.
  • tolerance
  • Type: double
  • The desired fitting tolerance to use when bending faces that share edges with both fixed and transformed components.
  • timeLimit
  • Type: double
  • If the deformation is extreme, it can take a long time to calculate the result. If time_limit > 0, then the value specifies the maximum amount of time in seconds you want to spend before giving up.
  • useMultipleThreads
  • Type: bool
  • True if multiple threads can be used.
Returns:
Type: bool
True if successful, False otherwise.
Available since:
6.0

/
/
/
TransformComponent

TransformComponent method

Class:  Rhino.Geometry.Brep

Nothing found